using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DesktopText
{
	public partial class LoginForm : Form
	{
		public LoginForm()
		{
			InitializeComponent();
		}
		public LoginInfo GetLoginInfo(LoginInfo info)
		{
            try
            {
				uxLogIntoTextBox.Text = info.Target;
				uxDomainTextBox.Text = info.Credentials.Domain;
				uxUserNameTextBox.Text = info.Credentials.UserName;

				if (DialogResult.OK == this.ShowDialog())
				{
					info = new LoginInfo(info.Target, uxUserNameTextBox.Text, uxDomainTextBox.Text);
					info.Credentials.Password = uxPasswordTextBox.Text;
					info.PasswordSpecified = true;
					Cfg.Def.ProxyUser = info.Credentials.UserName;
					Cfg.Def.ProxyUserDomain = info.Credentials.Domain;
					Cfg.Def.Save();
				}

				return info;
            }
            catch (Exception ex)
            {
                throw ex;
            }

		}

		private void uxOkButton_Click(object sender, EventArgs e)
		{

		}
	}
}